Seite 2 von 2 ErsteErste 12
Ergebnis 21 bis 29 von 29

Thema: Inkompatibilität 4.2.5 mit PHP 7.2

  1. #21
    vB-Guru Avatar von Boothby
    Registriert seit
    28.09.2001
    Alter
    44
    Beiträge
    2.206
    Blog-Einträge
    1
    Zitat Zitat von Andreas Beitrag anzeigen
    Deshalb hieß der Laden ja auch Jelsoft => James E. Limm Software
    Danke, heute etwas dazugelernt.
    LG Stefan

    Scott me up, Beamie!!

    Unser vB: Television Board

  2. #22
    Fortgeschrittener Benutzer Avatar von Masterix
    Registriert seit
    03.05.2008
    Ort
    Stuttgart
    Beiträge
    177
    Zitat Zitat von Jaydee Beitrag anzeigen
    Aber alles nur "inoffiziell", und dann folgt irgendwann .4, .5, .6... usw. und evtl. folgen die recht schnell aufeinander.
    Wer will dann jeweils die manuellen Anpassungen vornehmen?

    Man muss sich darüber im Klaren sein, dass man mittelfristig dadurch immer noch kein "sicheres System" hat. Auch wenn kurzfristig Fehler- und Warnmeldungen verschwinden und die Lücken vordergründig nicht mehr so schnell auffallen mögen.
    Hmm...
    Wenn die Forensoftware vorher sicher war und man alte, geänderte Funktionen auf neu portiert ist doch die Forensoftware nicht unsicherer als zuvor, im Gegenteil.
    Dass z.B. "eval" bzw /e abgesichert wurde bedeutet doch dass ein vB 3.8.11.x unter PHP 7.x sicherer ist als als die gleiche Software in der Version 3.8 mit PHP 5.4.
    Insofern bin ich über jede Möglichkeit erfreut vB 3.8.x für eine neuere PHP-Version anpassen zu können. Unsere 3.8.11 läuft z.B. völlig fehlerfrei (Fehler werden nicht unterdrückt) mit PHP 7.1 und das inkl. aller Addons.
    Gruß, Masterix

    --

  3. #23
    vB-Guru Avatar von Jaydee
    Registriert seit
    29.05.2008
    Ort
    ...tief im Westen....
    Alter
    57
    Beiträge
    13.443
    Zitat Zitat von Masterix Beitrag anzeigen
    Hmm...
    Wenn die Forensoftware vorher sicher war...
    Eben, WENN...
    Da sie es aber schon länger nicht mehr ist und von offizieller Seite seit einiger Zeit weder weiterhin Sicherheitslücken gefixed noch anderweitig die Software insgesamt "gepflegt" wird, kann man es durch manuell eingestrickte Code-Schnipsel eigentlich nur verschlimmbessern.

    Und bei den PHP 7.0/7.1 Änderungen wird es ja in Zukunft nicht bleiben.
    Gruß
    Jörg


    Die deutsche Rechtschreibung ist Freeware. Das heißt, Du kannst sie kostenlos nutzen.
    Allerdings ist sie nicht Open Source, d.h. Du darfst sie nicht verändern oder in veränderter Form veröffentlichen.



  4. #24
    vBulletin-Germany Team Avatar von pogo
    Registriert seit
    01.06.2001
    Ort
    Hannover
    Alter
    43
    Beiträge
    16.401
    Blog-Einträge
    5
    Zitat Zitat von Jaydee Beitrag anzeigen
    Da sie es aber schon länger nicht mehr ist und von offizieller Seite seit einiger Zeit weder weiterhin Sicherheitslücken gefixed...
    Klingt, als kennst du nicht gefixte Sicherheitslücken in 4.2.5 oder 3.8.11.

    Mein Wunschzettel
    Warum du keine Anhänge herunterladen kannst!
    Suchst du Hacks, Add-ons, Modifikationen, Styles, Buttons und mehr? -> Auf zu vB.org!

  5. #25
    vB-Guru Avatar von Jaydee
    Registriert seit
    29.05.2008
    Ort
    ...tief im Westen....
    Alter
    57
    Beiträge
    13.443
    Konkret sind mir persönlich derzeit keine neuen bekannt. Die Aussage war eher allgemein auf den Umstand bezogen, dass von IB keine "offizielle" Pflege der 3er/4er Versionen mehr zu erwarten ist und sich die letzten Wartungen eher auf PHP 7.x Anpassung bezogen.
    Und seitdem praktisch einige Code-Anpassungen nur von Benutzer-Seite kamen.

    Von daher würde ich den Stand nicht mit z.B. XenForo (oder anderen aktuellen Systemen) vergleichen.
    Gruß
    Jörg


    Die deutsche Rechtschreibung ist Freeware. Das heißt, Du kannst sie kostenlos nutzen.
    Allerdings ist sie nicht Open Source, d.h. Du darfst sie nicht verändern oder in veränderter Form veröffentlichen.



  6. #26
    Neuer Benutzer
    Registriert seit
    27.09.2015
    Beiträge
    24
    Jede Software hat Fehler. Ob es nun von der Firma behoben wird oder von der Community ist im Prinzip egal. Generell sollte man sein Forum/ Webseite sowieso etwas absichern.

  7. #27
    vB-Guru Avatar von Jaydee
    Registriert seit
    29.05.2008
    Ort
    ...tief im Westen....
    Alter
    57
    Beiträge
    13.443
    Das ist natürlich richtig.
    Gruß
    Jörg


    Die deutsche Rechtschreibung ist Freeware. Das heißt, Du kannst sie kostenlos nutzen.
    Allerdings ist sie nicht Open Source, d.h. Du darfst sie nicht verändern oder in veränderter Form veröffentlichen.



  8. #28
    Neuer Benutzer
    Registriert seit
    14.12.2017
    Beiträge
    2
    Kann mir hier jemand helfen? Mein Hoster hat auf PHP7.2 umgestellt und nun erhalte ich Meldungen von Google, Forumsmitgliedern ... dass diverses nicht mehr oder nur "mit Mühe" funktioniert. Was kann ich denn bitte tun, damit alles wieder funktioniert? Hab die Website vor knapp einem Jahr übernommen, da sie uns einfach wichtig war und ist. Die Hauptseite bin ich auch bereits am neu machen, da dies kein Hoster mehr unterstützen will oder kann, (wurde mal mit FrontPage erstellt) aber nun droht das Forum (vBulletin version 4.3) trotz all unseren Bemühungen dem Zeitgeist zum Opfer zu fallen??? Ich bin leider kein Programierkönner sondern eher ein "Learning bei probiering" Nützt es den Hoster zu wechseln (Hostpoint) oder gibts hier einen RIESENSCHATZ der uns für einen Ferienkassenzustupf (na ja wir sind nicht gerade auf der Stufe von Trump, Rockefeller und Co.) dauerhaft oder so helfen könnte? https://www.jackrussell.ch/10/home_d_aktuell.htm auf den Forumslink geklickt ist alles ok, auf Startseite jedoch das absolute Code-Chaos! Bitte , bitte, bitte helft mir!!

  9. #29
    Fortgeschrittener Benutzer Avatar von Masterix
    Registriert seit
    03.05.2008
    Ort
    Stuttgart
    Beiträge
    177
    Zitat Zitat von Fix+Foxi Beitrag anzeigen
    Kann mir hier jemand helfen? Mein Hoster hat auf PHP7.2 umgestellt und nun erhalte ich Meldungen von Google, Forumsmitgliedern ... dass diverses nicht mehr oder nur "mit Mühe" funktioniert. [...] auf Startseite jedoch das absolute Code-Chaos! Bitte , bitte, bitte helft mir!!
    Dich mit deinem Hoster in Verbindung setzen damit er dir wieder PHP 7.1.x zugänglich macht.
    Bis dahin deaktiviere dein Forum, bzw. setze es auf Inaktiv.

    Was ist das für ein *zensiert*-Hoster ist das, dass der einfach die PHP Version ändert ohne dies zuvor anzukündigen und/oder Alternativen parat zu haben.

    Falls er nicht will wechseln: https://www.onlime.ch
    https://wiki.onlime.ch/devhp

    Gruß, Masterix

    --

Seite 2 von 2 ErsteErste 12

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Ähnliche Themen

  1. IE Inkompatibilität bei V3Arcadebuttons über Avatar !?
    Von redlabour im Forum vB3 Fehlersuche und Probleme
    Antworten: 4
    Letzter Beitrag: 16.06.2004, 20:50

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •